%define	pversion	3219
%define prefix		/usr/X11R6

Summary:	An X Window System based IBM 3278/3279 terminal emulator
Name:		x3270
Version:	3.2.19
Release:	2mdk
License:	MIT
Group:		Terminals
Url:		http://www.geocities.com/SiliconValley/Peaks/7814/

Source:		x3270-%pversion.tar.bz2
Source1:	x3270.bz2

Prereq:		/usr/X11R6/bin/mkfontdir
BuildRequires:	XFree86-devel
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
The x3270 program opens a window in the X Window System which emulates
the actual look of an IBM 3278/3279 terminal, commonly used with
mainframe applications. x3270 also allows you to telnet to an IBM host
from the x3270 window.

Install the x3270 package if you need to access IBM hosts using an
IBM 3278/3279 terminal emulator.

%prep

%setup -q -n %name-3.2

%build
%configure
%make

%install
rm -fr %buildroot
install -d -m 0755 %buildroot/%_menudir
install -d -m 0755 %buildroot/%_miconsdir
bzcat %{SOURCE1} > %buildroot/%_menudir/%name
chmod 0644 %buildroot/%_menudir/%name

make DESTDIR=%buildroot install

make DESTDIR=%buildroot install.man

install -d -m 0755 %buildroot/%_sysconfdir/X11/app-defaults
install -m 0644 X3270.xad %buildroot/%_sysconfdir/X11/app-defaults/X3270

rm -f %buildroot/%prefix/lib/X11/fonts/misc/fonts.dir

# David - 3.2.14 - Workaround to don't requires stuff in /usr/local
chmod a-x $RPM_BUILD_DIR/%name-3.2/Examples/*

%clean
rm -rf %buildroot

%post
/usr/X11R6/bin/mkfontdir /usr/X11R6/lib/X11/fonts/misc
%update_menus

%postun
/usr/X11R6/bin/mkfontdir /usr/X11R6/lib/X11/fonts/misc
%clean_menus

%files
%defattr(-,root,root)
%config(noreplace) /etc/X11/app-defaults/*
%doc Examples html
/usr/X11R6/bin/x3270
%{_bindir}/pr3287
%{_bindir}/x3270if
%{prefix}/lib/X11/fonts/misc/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%prefix/man/man1/*
%{_libdir}/menu/x3270
/etc/x3270/*

%changelog
* Mon Jan  6 2003 Stew Benedict <sbenedict@mandrakesoft.com> 3.2.19-2mdk
- rebuild for new glibc/rpm, rpmlint fixes

* Wed May 15 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.19-1mdk
- new version
- misc spec file fixes
- rebuilt with latest system compiler (gcc3.1)

* Thu Jan 10 2002 David BAUDENS <baudens@mandrakesoft.com> 3.2.17-4mdk
- Fix menu entry (png icon)
- Add missing files

* Thu Aug 23 2001 David BAUDENS <baudens@mandrakesoft.com> 3.2.17-3mdk
- Move menu entry in right directory

* Tue Jul 10 2001 Stefan van der Eijk <stefan@eijk.nu> 3.2.17-2mdk
- BuildRequires: XFree86-devel

* Mon Jul 9 2001 Gregory Letoquart <gletoquart@mandrakesoft.com> 3.2.17-1mdk
- 3.2.17

* Thu Dec 27 2000 Gregory Letoquart <gletoquart@mandrakesoft.com> 3.2.15-2mdk
- 3.2.15 

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.2.14-2mdk
- Workaround for ~#* RPM

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.2.14-1mdk
- 3.2.14

* Fri Sep 29 2000 David BAUDENS <baudens@mandrakesoft.com> 3.2.13-1mdk
- 3.2.13

* Fri Sep 29 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1.1.9-3mdk
- Fix conflict with XFree

* Sat Sep 09 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1.1.9-2mdk
- Allow to build
- Remove wmconfig support
- BM
- %%{update_menus} && %%{clean_menus}
- Spec clean up (aka remove crazy things)
- Fix menu entry (aka remove stupid hard coded PATH for icon and fix title)

* Sat Apr 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 3.1.1.9-1mdk
- Changed group to new groups
- updated to 3.1.1.9
- added HTML docs
- Added menu to spec file

* Wed Nov 03 1999 Jerome Martin <jerome@mandrakesoft.com>
- Rebuild for new distribution
- Minor Specfile cleanup

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- ibm_hosts needed %config (#788)

* Fri Aug  7 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Marc Ewing <marc@redhat.com>
- new version
- added wmconfig entry

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
